Index: /branches/2.2/security/security-cas.php
===================================================================
--- /branches/2.2/security/security-cas.php	(revision 3232)
+++ /branches/2.2/security/security-cas.php	(revision 3377)
@@ -11,5 +11,5 @@
         if(!is_dir(dirname($path3)))
         {
-            echo lang('Erro.') . ' ' . lang('Não foi possível localizar arquivo de configuração no servidor.');
+            echo lang('Erro.') . ' ' . lang('Configuration file not found in server.');
             exit();
         }
@@ -53,5 +53,5 @@
                                 if(count(explode(chr(0x0A),$w)) < 7 )
                                     {
-                                        $msgs_alertas .= lang('Arquivo') . ' '. $_FILES['file']['name'] . lang('nao pode ser processado. Formato invalido') . '.<br/>';
+                                        $msgs_alertas .= lang('File') . ' '. $_FILES['file']['name'] . lang('not processed. Invalid format') . '.<br/>';
                                     }
                             }
@@ -80,5 +80,5 @@
                                             {
                                                 $conteudo .= chr(0x0D) . chr(0x0A) . $cert;
-                                                $msgs_alertas .= lang('Adicionado certificado para') . ' ' . $a->dados['NOME'] . ' .<br/>';
+                                                $msgs_alertas .= lang('Certificate added to') . ' ' . $a->dados['NOME'] . ' .<br/>';
                                             }
                                     }
@@ -92,19 +92,19 @@
                                                     {
                                                         file_put_contents($path3,$conteudo,FILE_APPEND);
-                                                        $msgs_alertas .= lang('Arquivo atualizado e salvo') . '.';
+                                                        $msgs_alertas .= lang('File updated and save') . '.';
                                                     }
                                                 else
                                                     {
-                                                        $msgs_alertas .= lang('Falhou ao salvar arquivo (CD04). Nao foi concluida a operacao solicitada') . '.<br/>';
+                                                        $msgs_alertas .= lang('Failure on save file (CD04). The requested operation is not concluded') . '.<br/>';
                                                     }
                                             }
                                         else
                                             {
-                                                $msgs_alertas .= lang('Falhou ao salvar arquivo (CD03). Nao foi concluida a operacao solicitada') . '.<br/>';
+                                                $msgs_alertas .= lang('Failure on save file (CD03). The requested operation is not concluded') . '.<br/>';
                                             }
                                     }
                                  else
                                      {
-                                        $msgs_alertas .= lang('Nao foram localizados certificados de CAs') . '.';
+                                        $msgs_alertas .= lang('ACs certificates not found') . '.';
                                      }
                             }
@@ -115,5 +115,5 @@
         echo '<div style="padding-left:90px" >';
         echo '<form id="frm3" enctype="multipart/form-data" method="post" action="' . $_SERVER["PHP_SELF"] . '">';
-        echo '<a href="../security/security_admin.php" style="text-decoration:none"><input type="button" value="' . lang('Voltar') . '"/></a>';
+        echo '<a href="../security/security_admin.php" style="text-decoration:none"><input type="button" value="' . lang('Back') . '"/></a>';
         $aux99 = explode('/',$path3);
         $path3 = $aux99[count($aux99)-1];
@@ -123,20 +123,20 @@
         echo '</div>';
         echo '<div id="files"/>';
-        echo '<h4 style="color: #000066">' . lang('Selecione um arquivo com certificados de CAs para adionar ao arquivo de Cas em uso') . ':<h5>';
+        echo '<h4 style="color: #000066">' . lang('Choose a file with CAs to add') . ':<h5>';
         echo '<input id="file" type="file" name="file" />';
         echo '&nbsp;&nbsp;&nbsp;&nbsp;';
-        echo '<input type="button" name="adicionar" value="' . lang('Adicionar') . '" onclick="javascript:Submete_Cas(\'frm3\',\'' . lang('Adicionar conteudo do arquivo selecionado ao arquivo de CAs') . ' ?\')" />';
+        echo '<input type="button" name="adicionar" value="' . lang('Add') . '" onclick="javascript:Submete_Cas(\'frm3\',\'' . lang('Add file contents to ACs file') . ' ?\')" />';
         echo '</div>';
         echo '</form>';
-        echo '<h2 id="titulo1" style="color: #000066">' . lang('Certificados em') . ' ' . $path3 . ' :</h2>';
+        echo '<h2 id="titulo1" style="color: #000066">' . lang('Certificates in') . ' ' . $path3 . ' :</h2>';
         echo '<div id="xdiv1" style="border: #000000 1px solid; overflow: auto; width: 870px; height: 160px; white-space: pre;  padding: 3px; " >';
-        echo '<br/><font color="#000066"><b> ' . lang('Carregando ...') . '</b></font>';
+        echo '<br/><font color="#000066"><b> ' . lang('Loading ...') . '</b></font>';
         echo '</div>';
         echo '<br/><pre>';
         echo '<div id="xdiv2" style="border: #000000 1px solid; overflow: auto; width: 870px; height: 180px; white-space: pre;  padding: 3px; " >';
-        echo '<br/><font color="#000066"><b> ' . lang('Carregando ...') . '</b></font>';
+        echo '<br/><font color="#000066"><b> ' . lang('Loading ...') . '</b></font>';
         echo '</div></pre>';
         echo '<br/>';
-        echo '<a href="../security/security_admin.php" style="text-decoration:none"><input type="button" value="' . lang('Voltar') . '"/></a>';
+        echo '<a href="../security/security_admin.php" style="text-decoration:none"><input type="button" value="' . lang('Back') . '"/></a>';
         echo '<div>';
         echo '<script type="text/javascript"> Lista_de_Certificados(\'' . $path3 . '\'); </script>';
Index: /branches/2.2/security/security_admin.php
===================================================================
--- /branches/2.2/security/security_admin.php	(revision 3232)
+++ /branches/2.2/security/security_admin.php	(revision 3377)
@@ -12,5 +12,5 @@
 	else
 	  {
-	       echo '<div><h4>' . lang('Dados para administra&ccedil;&atilde;o das CA\'s e CRL\'s n&atilde;o foram localizados') . '.</h4></div>';
+	       echo '<div><h4>' . lang('Administration data of AC\'s and RCL\'s not found') . '.</h4></div>';
 	  }
 ?>
Index: /branches/2.2/security/security-cfg.php
===================================================================
--- /branches/2.2/security/security-cfg.php	(revision 3232)
+++ /branches/2.2/security/security-cfg.php	(revision 3377)
@@ -8,8 +8,8 @@
     echo '<script type="text/javascript" src="certificados.js"  ></script>';
     echo '<div style="padding-left:90px" >';
-    echo  '<h2  style="color: #000066">' . lang('Parametros em') . ' ' . $path1 . ':</h2>';
+    echo  '<h2  style="color: #000066">' . lang('Parameters into') . ' ' . $path1 . ':</h2>';
     echo '<table border="0" witdh="80%">';
     echo '<tr >';
-    echo '<td valign="top"><b>' . lang('Caminho BASE') . ':</b><br/></td>';
+    echo '<td valign="top"><b>' . lang('Path BASE') . ':</b><br/></td>';
     echo '<td valign="top">';
     echo '<input type="text" name="BASE" value="'. $GLOBALS['BASE'] . '" size="60" READONLY />';
@@ -18,5 +18,5 @@
     echo '<tr>';
     $aux = explode($GLOBALS['BASE'] . '/',$GLOBALS['dirtemp']);
-    echo '<td valign="top"><b>' . lang('Pasta para conter arquivos temporarios usados na validacao do certificado digital') . ':</b><br/></td>';
+    echo '<td valign="top"><b>' . lang('Folder to temporary files to digital certificate validation') . ':</b><br/></td>';
     echo '<td valign="top">';
     echo '<input type="text" name="dirtemp" value="'. $aux[1] . '" size="60" READONLY />';
@@ -25,5 +25,5 @@
     echo '<tr >';
     $aux = explode($GLOBALS['BASE'] . '/',$GLOBALS['CAs']);
-    echo '<td valign="top"><b>' . lang('Arquivo contendo cadeias das autoridades certificadoras(CAs)') . ':</b><br/></td>';
+    echo '<td valign="top"><b>' . lang('File with Certificate Authority(CAs) chains') . ':</b><br/></td>';
     echo '<td valign="top">';
     echo '<input type="text" name="CAs" value="'. $aux[1] . '" size="60" READONLY />';
@@ -32,6 +32,6 @@
     echo '<tr>';
     $aux = explode($GLOBALS['BASE'] . '/',$GLOBALS['CRLs']);
-    echo '<td valign="top"><b>' . lang('Pasta para conter Listas de Revogacao de Certificados(CRLs)') . ':<br>
-           ' . lang('Deixar vazio para nao verificar se certificado esta revogado') . '.</b></td>';
+    echo '<td valign="top"><b>' . lang('Folder with CRLs') . ':<br>
+           ' . lang('Empty to disable revogation test') . '.</b></td>';
     echo '<td valign="top">';
     echo '<input type="text" name="CRLs" value="'. $aux[1]. '" size="60" READONLY />';
@@ -40,5 +40,5 @@
     echo '<tr >';
     $aux = explode($GLOBALS['BASE'] . '/',$GLOBALS['arquivos_crls']);
-    echo '<td valign="top"><b>' . lang('Arquivo contendo as URLs para obter as listas de certificados revogados') . ':</b></td>';
+    echo '<td valign="top"><b>' . lang('Point to file with URLs of CRLs') . ':</b></td>';
     echo '<td valign="top">';
     echo '<input type="text" name="arquivos_crls" value="'. $aux[1] . '" size="60" READONLY />';
@@ -47,5 +47,5 @@
     echo '<tr>';
     $aux = explode($GLOBALS['BASE'] . '/',$GLOBALS['log']);
-    echo '<td valign="top"><b>' . lang('Arquivo para conter log de execucao da rotina de obtencao das listas de certificados revogados') . ':</b></td>';
+    echo '<td valign="top"><b>' . lang('File to execution log of get CRLs') . ':</b></td>';
     echo '<td valign="top">';
     echo '<input type="text" name="log" value="'. $aux[1] . '" size="60" READONLY />';
@@ -53,5 +53,5 @@
     echo '</tr>';
     echo '<tr>';
-    echo '<td valign="top"><b>' . lang('Tamanho maximo do arquivo de log(em bytes):') . ':</b></td>';
+    echo '<td valign="top"><b>' . lang('Maximum length of file log(bytes)') . ':</b></td>';
     echo '<td valign="top">';
     echo '<input type="text" name="log" value="'. $GLOBALS['lenMax'] . '" size="60" READONLY />';
@@ -59,5 +59,5 @@
     echo '</tr>';
     echo '<tr>';
-    echo '<td valign="top"><b>' . lang('Numero maximo de arquivos de log a serem guardados:') . ':</b></td>';
+    echo '<td valign="top"><b>' . lang('Maximum number of files log to retain') . ':</b></td>';
     echo '<td valign="top">';
     echo '<input type="text" name="log" value="'. $GLOBALS['bkpNum'] . '" size="60" READONLY />';
@@ -66,5 +66,5 @@
     echo '</table>';
     echo '<br/>';
-    echo '<a href="../security/security_admin.php" style="text-decoration:none"><input type="button" value="' . lang('Voltar') . '"/></a>';
+    echo '<a href="../security/security_admin.php" style="text-decoration:none"><input type="button" value="' . lang('Back') . '"/></a>';
     echo '<div>';
 ?>
Index: /branches/2.2/security/security.php
===================================================================
--- /branches/2.2/security/security.php	(revision 3232)
+++ /branches/2.2/security/security.php	(revision 3377)
@@ -4,16 +4,16 @@
             <br/><br/>
             <span>
-                <a href="security-cas.php" style="text-decoration:none"><b><?php echo lang('ACs (Autoridades Certificadoras)') ?></b></a>
+                <a href="security-cas.php" style="text-decoration:none"><b><?php echo lang('CAs (Certificate Authority)') ?></b></a>
             </span>
             <br/><br/>
             <span>
-                <a href="security-clr.php" style="text-decoration:none"><b><?php echo lang('LCRs(Listas de Certificados Revogados)') ?></b></a>
+                <a href="security-clr.php" style="text-decoration:none"><b><?php echo lang('RCLs(Revoked Certificate List)') ?></b></a>
             </span>
             <br/><br/>
             <span>
-                <a href="security-cfg.php" style="text-decoration:none"><b><?php echo lang('Visualizar Configuracao em uso') ?></b></a>
+                <a href="security-cfg.php" style="text-decoration:none"><b><?php echo lang('View Current configuration') ?></b></a>
             </span>
             <br/><br/><br/><br/>
-            <a href="../admin/index.php" style="text-decoration:none"><input type="button" value="<?php echo lang('Cancelar') ?>"/></a>
+            <a href="../admin/index.php" style="text-decoration:none"><input type="button" value="<?php echo lang('Cancel') ?>"/></a>
             <br/><br/>
         </div>
Index: /branches/2.2/security/gera-arvore.php
===================================================================
--- /branches/2.2/security/gera-arvore.php	(revision 3232)
+++ /branches/2.2/security/gera-arvore.php	(revision 3377)
@@ -82,5 +82,5 @@
                         else
                             {
-                                $msg =  '<font color="FF0000" size="4"><b>Certificado ausente da cadeia.</b></font> ';
+                                $msg =  '<font color="FF0000" size="4"><b>' . lang('Certificate not in chain') . '.</b></font> ';
                                 $lnk = '<b>' . $K . '</b>';
                             }
@@ -100,5 +100,5 @@
                                         else
                                             {
-                                                $msg =  '<font color="FF0000" ><b>Certificado ausente da cadeia.</b></font> ';
+                                                $msg =  '<font color="FF0000" ><b>' . lang('Certificate not in chain') . '.</b></font> ';
                                             }
                                         $tudo .=  $prefixo1 .  '<font color="#000000" ><a href="javascript:Um_Certificado(\''. $tab_certs[$K1]['item']  . ' - ' . $K1 .'\',\'' .  $arquivo . '\')" style="text-decoration: none" >' . $K1 . '</a></font> ' .  '  ' . $msg . '<br/>';
@@ -113,5 +113,5 @@
                                                         else
                                                             {
-                                                                $msg =  '<font color="FF0000" ><b>Certificado ausente da cadeia.</b></font> ';
+                                                                $msg =  '<font color="FF0000" ><b>' . lang('Certificate not in chain') . '.</b></font> ';
                                                             }
                                                         if($num>$item)
Index: /branches/2.2/security/security-clr.php
===================================================================
--- /branches/2.2/security/security-clr.php	(revision 3232)
+++ /branches/2.2/security/security-clr.php	(revision 3377)
@@ -7,6 +7,6 @@
     if($GLOBALS['CRLs'] == '')
         {
-            echo '<br/><br/><br/><div align="center"><h3><b>' . lang('O uso de listas de revogacao de certificados nao esta habilitado') . '.<b><h3><br/><br/>';
-            echo '<a href="security_admin.php" style="text-decoration:none"><input type="button" value="' . lang('Voltar') . '"/></a></div>';
+            echo '<br/><br/><br/><div align="center"><h3><b>' . lang('CRLs use is disable') . '.<b><h3><br/><br/>';
+            echo '<a href="security_admin.php" style="text-decoration:none"><input type="button" value="' . lang('Back') . '"/></a></div>';
             exit();
         }
@@ -27,5 +27,5 @@
     echo '<script type="text/javascript" src="certificados.js"  ></script>';
     echo '<div style="padding-left:90px" >';
-    echo '<a href="../security/security_admin.php" style="text-decoration:none"><input type="button" value="' . lang('Voltar') . '"/></a>';
+    echo '<a href="../security/security_admin.php" style="text-decoration:none"><input type="button" value="' . lang('Back') . '"/></a>';
     echo '<input type="hidden" name="adicionar" value="adicionar" />';
     $Linhas = explode(chr(0x0A),$arq);
@@ -33,8 +33,8 @@
         {
 
-            echo '<h2  style="color: #000066">' . lang('LCRs configuradas') . ':</h2>';
+            echo '<h2  style="color: #000066">' . lang('RCLs configurated') . ':</h2>';
             echo '<div id="xdiv2" style="border: #000000 1px solid; overflow: auto; width: 870px; height: 190px; white-space: pre;  padding: 3px; " >';
             echo '<table border ="1" style="margin-top: 8px; width: 770px">';
-            echo '<th nowrap align="left" style=" padding: 5px">' . lang('Lista de Certificados revogados obtida em') . ':</th><th nowrap align="left" style=" padding: 5px">' . lang('Onde é salva a LCR') . ':</th>';
+            echo '<th nowrap align="left" style=" padding: 5px">' . lang('RCLs get in') . ':</th><th nowrap align="left" style=" padding: 5px">' . lang('Where save RCLs') . ':</th>';
             foreach($Linhas as $linhaz)
                 {
@@ -48,5 +48,5 @@
                             if(!is_file($f))
                                 {
-                                    echo '<p style="margin-bottom: 5px"><b  style="color: #FF0000">' . lang('Arquivo nao localizado') . '.</b></p>';
+                                    echo '<p style="margin-bottom: 5px"><b  style="color: #FF0000">' . lang('File not found') . '.</b></p>';
                                 }
                             else
@@ -54,9 +54,9 @@
                                     $data = file_get_contents($f);
                                     $dados = Crl_parseASN($data);
-                                    echo '<br/><br/>Emitido por: ';
+                                    echo '<br/><br/>' . lang ('Issuer') . ': ';
                                     $aux = $dados[1][0][1][2][1]; // pega dados do emissor.
                                     $aux = $aux[count($aux)-1];  // ultimo item he o do CN.....
                                     echo $aux[1][1][1][1];
-                                    echo '<br/>Num. certificados: ';
+                                    echo '<br/>' . lang('Num. Certificates') . ': ';
                                     $num = 0;
                                     if(count($dados[1][0][1]) > 6)        // qtd de itens esperado he 7. o 6 contem os certificados revogados.
@@ -65,5 +65,5 @@
                                         }
                                     echo $num;
-                                    echo '<br/>LCR num. : ';
+                                    echo '<br/>' . lang('Num. RCL') . ': ';
                                     $oid_Num_crl = recupera_dados_oid($data,'2.5.29.20');  // oid que informa o numero de geracao da LCR.
                                     $num = $oid_Num_crl[0][1][1][1];
@@ -87,12 +87,12 @@
                                             $cor = 'style="color: #000066"';
                                         }
-                                echo '<p><b  ' . $cor . '>' . lang('Gerada em') . ' : </b>' . substr($di,0,4) . '/' . substr($di,4,2) . '/' . substr($di,6,2) . '  -  ' . substr($di,8,2) . ':' . substr($di,10,2) . ':' . substr($di,12,2) . ' GMT</p>';
+                                echo '<p><b  ' . $cor . '>' . lang('Create in') . ' : </b>' . substr($di,0,4) . '/' . substr($di,4,2) . '/' . substr($di,6,2) . '  -  ' . substr($di,8,2) . ':' . substr($di,10,2) . ':' . substr($di,12,2) . ' GMT</p>';
                                     if(gmdate("YmdHis") > $df)
                                         {
-                                            $cor = 'style="color: #FF0000" >' . lang('Expirada em') . ': ';
+                                            $cor = 'style="color: #FF0000" >' . lang('Expired on') . ': ';
                                         }
                                     else
                                         {
-                                            $cor = 'style="color: #000066" >' . lang('Expira em') . ': ';
+                                            $cor = 'style="color: #000066" >' . lang('Expire on') . ': ';
                                         }
                                     echo '<p><b  ' . $cor . ' </b>' . substr($df,0,4) . '/' . substr($df,4,2) . '/' . substr($df,6,2) . '  -  ' . substr($df,8,2) . ':' . substr($df,10,2) . ':' . substr($df,12,2) . ' GMT</p>';
@@ -106,5 +106,5 @@
             echo '<input type="hidden" name="atualizar" value="atualizar" />';
             echo '<br/>';
-            echo '<input type="button" name="atualiz" value="' . lang('Executar atualização das LCRs') . '" onclick="javascript:Salvar_arq(\'frm2\',\'' . lang('Confirma atualização das LCRs') . ' ?\')"/>';
+            echo '<input type="button" name="atualiz" value="' . lang('Execute RCLs update') . '" onclick="javascript:Salvar_arq(\'frm2\',\'' . lang('Confirm RCLs update') . ' ?\')"/>';
             echo '<br/>';
             echo '</form>';
@@ -114,5 +114,5 @@
     if($path2)
         {
-            echo '<h2  style="color: #000066">' . lang('Log da atualizacao das LCRs') . ':</h2>';
+            echo '<h2  style="color: #000066">' . lang('Log of RCLs update') . ':</h2>';
             echo '<div style="border: #000000 1px solid; overflow: auto; width: 770px; height:180px; white-space: pre; padding: 5px" >';
             echo '<pre>';
@@ -130,9 +130,9 @@
                 {
                     //$ret = exec('cat ' . $path2 ,$saida);
-                    echo '<p style="margin-bottom: 5px"><b  style="color: #FF0000">' . lang('Arquivo') . ' ' . $path2 . ' ' . lang('nao localizado') . '</b></p>';
+                    echo '<p style="margin-bottom: 5px"><b  style="color: #FF0000">' . lang('File') . ' ' . $path2 . ' ' . lang('not found') . '</b></p>';
                 }
             echo '</pre>';
             echo '</div><br/><br/>';
-            echo '<a href="../security/security_admin.php" style="text-decoration:none"><input type="button" value="' . lang('Voltar') . '"/></a>';
+            echo '<a href="../security/security_admin.php" style="text-decoration:none"><input type="button" value="' . lang('Back') . '"/></a>';
             echo '<div>';
         }