Index: /devel/testlink/calendar/FUN03.2/.classpath
===================================================================
--- /devel/testlink/calendar/FUN03.2/.classpath	(revision 3426)
+++ /devel/testlink/calendar/FUN03.2/.classpath	(revision 3426)
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+	<classpathentry kind="src" output="target/classes" path="src/main/java"/>
+	<classpathentry excluding="**" kind="src" output="target/classes" path="src/main/resources"/>
+	<classpathentry kind="src" output="target/test-classes" path="src/test/java"/>
+	<classpathentry excluding="**" kind="src" output="target/test-classes" path="src/test/resources"/>
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/J2SE-1.4"/>
+	<classpathentry kind="con" path="org.maven.ide.eclipse.MAVEN2_CLASSPATH_CONTAINER"/>
+	<classpathentry kind="output" path="target/classes"/>
+</classpath>
Index: /devel/testlink/calendar/FUN03.2/.project
===================================================================
--- /devel/testlink/calendar/FUN03.2/.project	(revision 3426)
+++ /devel/testlink/calendar/FUN03.2/.project	(revision 3426)
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>FUN03.2</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>org.eclipse.jdt.core.javabuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.maven.ide.eclipse.maven2Builder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>org.eclipse.jdt.core.javanature</nature>
+		<nature>org.maven.ide.eclipse.maven2Nature</nature>
+	</natures>
+</projectDescription>
Index: /devel/testlink/calendar/FUN03.2/target/surefire-reports/TEST-br.gov.serpro.cte.agenda.casoteste.TestAdicionarCompromisso.xml
===================================================================
--- /devel/testlink/calendar/FUN03.2/target/surefire-reports/TEST-br.gov.serpro.cte.agenda.casoteste.TestAdicionarCompromisso.xml	(revision 3426)
+++ /devel/testlink/calendar/FUN03.2/target/surefire-reports/TEST-br.gov.serpro.cte.agenda.casoteste.TestAdicionarCompromisso.xml	(revision 3426)
@@ -0,0 +1,92 @@
+<?xml version="1.0" encoding="UTF-8" ?>
+<testsuite failures="0" time="635.991" errors="1" skipped="0" tests="1" name="br.gov.serpro.cte.agenda.casoteste.TestAdicionarCompromisso">
+  <properties>
+    <property name="java.runtime.name" value="Java(TM) SE Runtime Environment"/>
+    <property name="sun.boot.library.path" value="/usr/lib/jvm/java-6-sun-1.6.0.20/jre/lib/i386"/>
+    <property name="java.vm.version" value="16.3-b01"/>
+    <property name="java.vm.vendor" value="Sun Microsystems Inc."/>
+    <property name="java.vendor.url" value="http://java.sun.com/"/>
+    <property name="path.separator" value=":"/>
+    <property name="java.vm.name" value="Java HotSpot(TM) Client VM"/>
+    <property name="file.encoding.pkg" value="sun.io"/>
+    <property name="user.country" value="BR"/>
+    <property name="sun.java.launcher" value="SUN_STANDARD"/>
+    <property name="sun.os.patch.level" value="unknown"/>
+    <property name="java.vm.specification.name" value="Java Virtual Machine Specification"/>
+    <property name="user.dir" value="/home/alexandrecorreia/workspace_java/FUN03.2"/>
+    <property name="java.runtime.version" value="1.6.0_20-b02"/>
+    <property name="java.awt.graphicsenv" value="sun.awt.X11GraphicsEnvironment"/>
+    <property name="basedir" value="/home/alexandrecorreia/workspace_java/FUN03.2"/>
+    <property name="java.endorsed.dirs" value="/usr/lib/jvm/java-6-sun-1.6.0.20/jre/lib/endorsed"/>
+    <property name="os.arch" value="i386"/>
+    <property name="surefire.real.class.path" value="/tmp/surefirebooter855817397192246280.jar"/>
+    <property name="java.io.tmpdir" value="/tmp"/>
+    <property name="line.separator" value="
+"/>
+    <property name="java.vm.specification.vendor" value="Sun Microsystems Inc."/>
+    <property name="os.name" value="Linux"/>
+    <property name="sun.jnu.encoding" value="UTF-8"/>
+    <property name="java.library.path" value="/usr/lib/jvm/java-6-sun-1.6.0.20/jre/lib/i386/client:/usr/lib/jvm/java-6-sun-1.6.0.20/jre/lib/i386:/usr/lib/jvm/java-6-sun-1.6.0.20/jre/../lib/i386:/usr/lib/xulrunner:/usr/java/packages/lib/i386:/lib:/usr/lib"/>
+    <property name="surefire.test.class.path" value="/home/alexandrecorreia/workspace_java/FUN03.2/target/test-classes:/home/alexandrecorreia/workspace_java/FUN03.2/target/classes:/home/alexandrecorreia/.m2/repository/junit/junit/4.1/junit-4.1.jar:/home/alexandrecorreia/.m2/repository/org/openqa/selenium/client-drivers/selenium-java-client-driver/1.0-beta-1/selenium-java-client-driver-1.0-beta-1.jar:/home/alexandrecorreia/.m2/repository/org/openqa/selenium/core/selenium-core/1.0-beta-1/selenium-core-1.0-beta-1.jar:/home/alexandrecorreia/.m2/repository/org/openqa/selenium/server/selenium-server-coreless/0.9.1/selenium-server-coreless-0.9.1.jar:/home/alexandrecorreia/.m2/repository/ant/ant/1.6.5/ant-1.6.5.jar:/home/alexandrecorreia/.m2/repository/jetty/org.mortbay.jetty/5.1.10/org.mortbay.jetty-5.1.10.jar:/home/alexandrecorreia/.m2/repository/commons-logging/commons-logging/1.0.4/commons-logging-1.0.4.jar:/home/alexandrecorreia/.m2/repository/javax/servlet/servlet-api/2.4/servlet-api-2.4.jar:/home/alexandrecorreia/.m2/repository/org/openqa/selenium/server/selenium-server/1.0-beta-1/selenium-server-1.0-beta-1-standalone.jar:/home/alexandrecorreia/.m2/repository/org/jbehave/jbehave-maven-plugin/2.3/jbehave-maven-plugin-2.3.jar:/home/alexandrecorreia/.m2/repository/org/jbehave/jbehave-core/2.3/jbehave-core-2.3.jar:/home/alexandrecorreia/.m2/repository/junit/junit-dep/4.5/junit-dep-4.5.jar:/home/alexandrecorreia/.m2/repository/org/hamcrest/hamcrest-all/1.1/hamcrest-all-1.1.jar:/home/alexandrecorreia/.m2/repository/org/apache/ant/ant/1.7.0/ant-1.7.0.jar:/home/alexandrecorreia/.m2/repository/org/apache/ant/ant-launcher/1.7.0/ant-launcher-1.7.0.jar:/home/alexandrecorreia/.m2/repository/org/apache/maven/maven-plugin-api/2.0/maven-plugin-api-2.0.jar:"/>
+    <property name="java.specification.name" value="Java Platform API Specification"/>
+    <property name="java.class.version" value="50.0"/>
+    <property name="sun.management.compiler" value="HotSpot Client Compiler"/>
+    <property name="os.version" value="2.6.26-2-686"/>
+    <property name="user.home" value="/home/alexandrecorreia"/>
+    <property name="user.timezone" value=""/>
+    <property name="java.awt.printerjob" value="sun.print.PSPrinterJob"/>
+    <property name="file.encoding" value="UTF-8"/>
+    <property name="java.specification.version" value="1.6"/>
+    <property name="user.name" value="alexandrecorreia"/>
+    <property name="java.class.path" value="/home/alexandrecorreia/workspace_java/FUN03.2/target/test-classes:/home/alexandrecorreia/workspace_java/FUN03.2/target/classes:/home/alexandrecorreia/.m2/repository/junit/junit/4.1/junit-4.1.jar:/home/alexandrecorreia/.m2/repository/org/openqa/selenium/client-drivers/selenium-java-client-driver/1.0-beta-1/selenium-java-client-driver-1.0-beta-1.jar:/home/alexandrecorreia/.m2/repository/org/openqa/selenium/core/selenium-core/1.0-beta-1/selenium-core-1.0-beta-1.jar:/home/alexandrecorreia/.m2/repository/org/openqa/selenium/server/selenium-server-coreless/0.9.1/selenium-server-coreless-0.9.1.jar:/home/alexandrecorreia/.m2/repository/ant/ant/1.6.5/ant-1.6.5.jar:/home/alexandrecorreia/.m2/repository/jetty/org.mortbay.jetty/5.1.10/org.mortbay.jetty-5.1.10.jar:/home/alexandrecorreia/.m2/repository/commons-logging/commons-logging/1.0.4/commons-logging-1.0.4.jar:/home/alexandrecorreia/.m2/repository/javax/servlet/servlet-api/2.4/servlet-api-2.4.jar:/home/alexandrecorreia/.m2/repository/org/openqa/selenium/server/selenium-server/1.0-beta-1/selenium-server-1.0-beta-1-standalone.jar:/home/alexandrecorreia/.m2/repository/org/jbehave/jbehave-maven-plugin/2.3/jbehave-maven-plugin-2.3.jar:/home/alexandrecorreia/.m2/repository/org/jbehave/jbehave-core/2.3/jbehave-core-2.3.jar:/home/alexandrecorreia/.m2/repository/junit/junit-dep/4.5/junit-dep-4.5.jar:/home/alexandrecorreia/.m2/repository/org/hamcrest/hamcrest-all/1.1/hamcrest-all-1.1.jar:/home/alexandrecorreia/.m2/repository/org/apache/ant/ant/1.7.0/ant-1.7.0.jar:/home/alexandrecorreia/.m2/repository/org/apache/ant/ant-launcher/1.7.0/ant-launcher-1.7.0.jar:/home/alexandrecorreia/.m2/repository/org/apache/maven/maven-plugin-api/2.0/maven-plugin-api-2.0.jar:"/>
+    <property name="java.vm.specification.version" value="1.0"/>
+    <property name="sun.arch.data.model" value="32"/>
+    <property name="java.home" value="/usr/lib/jvm/java-6-sun-1.6.0.20/jre"/>
+    <property name="java.specification.vendor" value="Sun Microsystems Inc."/>
+    <property name="user.language" value="pt"/>
+    <property name="java.vm.info" value="mixed mode, sharing"/>
+    <property name="java.version" value="1.6.0_20"/>
+    <property name="java.ext.dirs" value="/usr/lib/jvm/java-6-sun-1.6.0.20/jre/lib/ext:/usr/java/packages/lib/ext"/>
+    <property name="sun.boot.class.path" value="/usr/lib/jvm/java-6-sun-1.6.0.20/jre/lib/resources.jar:/usr/lib/jvm/java-6-sun-1.6.0.20/jre/lib/rt.jar:/usr/lib/jvm/java-6-sun-1.6.0.20/jre/lib/sunrsasign.jar:/usr/lib/jvm/java-6-sun-1.6.0.20/jre/lib/jsse.jar:/usr/lib/jvm/java-6-sun-1.6.0.20/jre/lib/jce.jar:/usr/lib/jvm/java-6-sun-1.6.0.20/jre/lib/charsets.jar:/usr/lib/jvm/java-6-sun-1.6.0.20/jre/classes"/>
+    <property name="java.vendor" value="Sun Microsystems Inc."/>
+    <property name="localRepository" value="/home/alexandrecorreia/.m2/repository"/>
+    <property name="file.separator" value="/"/>
+    <property name="java.vendor.url.bug" value="http://java.sun.com/cgi-bin/bugreport.cgi"/>
+    <property name="sun.cpu.endian" value="little"/>
+    <property name="sun.io.unicode.encoding" value="UnicodeLittle"/>
+    <property name="sun.desktop" value="gnome"/>
+    <property name="sun.cpu.isalist" value=""/>
+  </properties>
+  <testcase time="635.962" classname="br.gov.serpro.cte.agenda.casoteste.TestAdicionarCompromisso" name="testa">
+    <error message="Catch body broken: IOException from cmd=open&amp;1=%2F -&gt; java.net.ConnectException: Connection refused" type="java.lang.UnsupportedOperationException">java.lang.UnsupportedOperationException: Catch body broken: IOException from cmd=open&amp;1=%2F -&gt; java.net.ConnectException: Connection refused
+	at com.thoughtworks.selenium.HttpCommandProcessor.executeCommandOnServlet(HttpCommandProcessor.java:85)
+	at com.thoughtworks.selenium.HttpCommandProcessor.doCommand(HttpCommandProcessor.java:68)
+	at com.thoughtworks.selenium.DefaultSelenium.open(DefaultSelenium.java:234)
+	at br.gov.serpro.cte.agenda.casoteste.TestAdicionarCompromisso.testa(TestAdicionarCompromisso.java:23)
+	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
+	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
+	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
+	at java.lang.reflect.Method.invoke(Method.java:597)
+	at junit.framework.TestCase.runTest(TestCase.java:164)
+	at junit.framework.TestCase.runBare(TestCase.java:130)
+	at com.thoughtworks.selenium.SeleneseTestCase.runBare(SeleneseTestCase.java:71)
+	at junit.framework.TestResult$1.protect(TestResult.java:110)
+	at junit.framework.TestResult.runProtected(TestResult.java:128)
+	at junit.framework.TestResult.run(TestResult.java:113)
+	at junit.framework.TestCase.run(TestCase.java:120)
+	at junit.framework.TestSuite.runTest(TestSuite.java:228)
+	at junit.framework.TestSuite.run(TestSuite.java:223)
+	at org.junit.internal.runners.OldTestClassRunner.run(OldTestClassRunner.java:35)
+	at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:62)
+	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
+	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
+	at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
+	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
+	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
+	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
+	at java.lang.reflect.Method.invoke(Method.java:597)
+	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:345)
+	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:1009)
+</error>
+  </testcase>
+</testsuite>
Index: /devel/testlink/calendar/FUN03.2/target/surefire-reports/br.gov.serpro.cte.agenda.casoteste.TestAdicionarCompromisso.txt
===================================================================
--- /devel/testlink/calendar/FUN03.2/target/surefire-reports/br.gov.serpro.cte.agenda.casoteste.TestAdicionarCompromisso.txt	(revision 3426)
+++ /devel/testlink/calendar/FUN03.2/target/surefire-reports/br.gov.serpro.cte.agenda.casoteste.TestAdicionarCompromisso.txt	(revision 3426)
@@ -0,0 +1,35 @@
+-------------------------------------------------------------------------------
+Test set: br.gov.serpro.cte.agenda.casoteste.TestAdicionarCompromisso
+-------------------------------------------------------------------------------
+Tests run: 1, Failures: 0, Errors: 1, Skipped: 0, Time elapsed: 636.004 sec <<< FAILURE!
+testa(br.gov.serpro.cte.agenda.casoteste.TestAdicionarCompromisso)  Time elapsed: 635.966 sec  <<< ERROR!
+java.lang.UnsupportedOperationException: Catch body broken: IOException from cmd=open&1=%2F -> java.net.ConnectException: Connection refused
+	at com.thoughtworks.selenium.HttpCommandProcessor.executeCommandOnServlet(HttpCommandProcessor.java:85)
+	at com.thoughtworks.selenium.HttpCommandProcessor.doCommand(HttpCommandProcessor.java:68)
+	at com.thoughtworks.selenium.DefaultSelenium.open(DefaultSelenium.java:234)
+	at br.gov.serpro.cte.agenda.casoteste.TestAdicionarCompromisso.testa(TestAdicionarCompromisso.java:23)
+	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
+	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
+	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
+	at java.lang.reflect.Method.invoke(Method.java:597)
+	at junit.framework.TestCase.runTest(TestCase.java:164)
+	at junit.framework.TestCase.runBare(TestCase.java:130)
+	at com.thoughtworks.selenium.SeleneseTestCase.runBare(SeleneseTestCase.java:71)
+	at junit.framework.TestResult$1.protect(TestResult.java:110)
+	at junit.framework.TestResult.runProtected(TestResult.java:128)
+	at junit.framework.TestResult.run(TestResult.java:113)
+	at junit.framework.TestCase.run(TestCase.java:120)
+	at junit.framework.TestSuite.runTest(TestSuite.java:228)
+	at junit.framework.TestSuite.run(TestSuite.java:223)
+	at org.junit.internal.runners.OldTestClassRunner.run(OldTestClassRunner.java:35)
+	at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:62)
+	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
+	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
+	at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
+	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
+	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
+	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
+	at java.lang.reflect.Method.invoke(Method.java:597)
+	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:345)
+	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:1009)
+
Index: /devel/testlink/calendar/FUN03.2/src/test/java/br/gov/serpro/cte/agenda/casoteste/TestAdicionarCompromisso.java
===================================================================
--- /devel/testlink/calendar/FUN03.2/src/test/java/br/gov/serpro/cte/agenda/casoteste/TestAdicionarCompromisso.java	(revision 3426)
+++ /devel/testlink/calendar/FUN03.2/src/test/java/br/gov/serpro/cte/agenda/casoteste/TestAdicionarCompromisso.java	(revision 3426)
@@ -0,0 +1,39 @@
+package br.gov.serpro.cte.agenda.casoteste;
+
+import org.junit.After;
+import org.junit.Before;
+import org.junit.Test;
+
+import com.thoughtworks.selenium.DefaultSelenium;
+import com.thoughtworks.selenium.SeleneseTestCase;
+
+public class TestAdicionarCompromisso extends SeleneseTestCase
+{
+	@Before
+	public void setUp() throws Exception
+	{
+		String url	 = "https://cte.serpro.gov.br";
+		selenium	 = new DefaultSelenium("localhost", 4444, "*pifirefox", url);
+		selenium.start();
+	}
+	
+	@Test
+	public void testa()
+	{
+		selenium.open("/");
+		selenium.type("user", "alexandrecorreia");
+		selenium.type("passwd", "senha1234");
+		selenium.click("submitit");
+		selenium.waitForPageToLoad("10000");
+		selenium.open("/calendar/index.php");
+		selenium.click("//div[@id='toolbar']/table/tbody/tr/td[2]");
+		javax.swing.JOptionPane.showMessageDialog(null, "Fim Execução !");
+	}
+	
+	@After
+	public void tearDown() throws Exception
+	{
+		selenium.close();
+	}
+	
+}
Index: /devel/testlink/calendar/FUN03.2/pom.xml
===================================================================
--- /devel/testlink/calendar/FUN03.2/pom.xml	(revision 3426)
+++ /devel/testlink/calendar/FUN03.2/pom.xml	(revision 3426)
@@ -0,0 +1,54 @@
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
+  <modelVersion>4.0.0</modelVersion>
+  <groupId>ExpressoCteAgenda</groupId>
+  <artifactId>FUN03.2</artifactId>
+  <version>0.0.1-SNAPSHOT</version>
+  	<build>
+		<plugins>
+			
+			<plugin>
+				<groupId>org.apache.maven.plugins</groupId>
+				<artifactId>maven-compiler-plugin</artifactId>
+				<version>2.3.2</version>
+				<configuration>
+					<compilerVersion>1.5</compilerVersion>
+				</configuration>
+			</plugin>
+
+		</plugins>
+	</build>
+
+	<repositories>
+		<repository>
+			<id>openqa</id>
+			<name>OpenQA Repository</name>
+			<url>http://nexus.openqa.org/content/repositories/releases</url>
+			<snapshots>
+				<enabled>true</enabled>
+			</snapshots>
+			<releases>
+				<enabled>true</enabled>
+			</releases>
+		</repository>
+
+	</repositories>
+	<dependencies>
+		<dependency>
+			<groupId>junit</groupId>
+			<artifactId>junit</artifactId>
+			<version>4.1</version>
+		</dependency>
+		<dependency>
+			<groupId>org.openqa.selenium.client-drivers</groupId>
+			<artifactId>selenium-java-client-driver</artifactId>
+			<version>1.0-beta-1</version>
+			<scope>test</scope>
+		</dependency>
+		<dependency>
+			<groupId>org.jbehave</groupId>
+			<artifactId>jbehave-maven-plugin</artifactId>
+			<version>2.3</version>
+		</dependency>
+
+	</dependencies>
+</project>
Index: /devel/testlink/calendar/FUN03.2/.settings/org.eclipse.jdt.core.prefs
===================================================================
--- /devel/testlink/calendar/FUN03.2/.settings/org.eclipse.jdt.core.prefs	(revision 3426)
+++ /devel/testlink/calendar/FUN03.2/.settings/org.eclipse.jdt.core.prefs	(revision 3426)
@@ -0,0 +1,13 @@
+#Thu Oct 28 10:00:04 BRST 2010
+eclipse.preferences.version=1
+org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.5
+org.eclipse.jdt.core.compiler.codegen.unusedLocal=preserve
+org.eclipse.jdt.core.compiler.compliance=1.5
+org.eclipse.jdt.core.compiler.debug.lineNumber=generate
+org.eclipse.jdt.core.compiler.debug.localVariable=generate
+org.eclipse.jdt.core.compiler.debug.sourceFile=generate
+org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
+org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
+org.eclipse.jdt.core.compiler.problem.forbiddenReference=warning
+org.eclipse.jdt.core.compiler.source=1.5
Index: /devel/testlink/calendar/FUN03.2/.settings/org.maven.ide.eclipse.prefs
===================================================================
--- /devel/testlink/calendar/FUN03.2/.settings/org.maven.ide.eclipse.prefs	(revision 3426)
+++ /devel/testlink/calendar/FUN03.2/.settings/org.maven.ide.eclipse.prefs	(revision 3426)
@@ -0,0 +1,9 @@
+#Thu Oct 28 09:52:00 BRST 2010
+activeProfiles=
+eclipse.preferences.version=1
+fullBuildGoals=process-test-resources
+includeModules=false
+resolveWorkspaceProjects=true
+resourceFilterGoals=process-resources resources\:testResources
+skipCompilerPlugin=true
+version=1