Index: branches/2.2/mobile/templates/default/new_msg.tpl
===================================================================
--- branches/2.2/mobile/templates/default/new_msg.tpl	(revision 3453)
+++ branches/2.2/mobile/templates/default/new_msg.tpl	(revision 3454)
@@ -1,4 +1,4 @@
 <!-- BEGIN begin_form -->
-<p><h1>&nbsp;&nbsp;Novo email</h1></p>
+<h1>Novo email</h1>
 <hr />
 <form id="reply_form" method="POST" action="{form_action}">
@@ -6,24 +6,24 @@
 
 <!-- BEGIN msg_header -->
-<p>&nbsp;&nbsp;<label for="input_to"><strong>{to_label}</strong>:</label> </p>
-<p>&nbsp;&nbsp;<input type="text" size="30" id="input_to" name="input_to" value='{to}' "{read_only}" /></p>
+<p><label for="input_to"><strong>{to_label}</strong>:</label> </p>
+<p><input type="text" size="30" id="input_to" name="input_to" value='{to}' "{read_only}" /></p>
 {field_add_user}
-<p>&nbsp;&nbsp;<label for="input_subject"><strong>{subject_label}</strong>:</label> </p>
-<p>&nbsp;&nbsp;<input type="text" size="30" id="input_subject" name="input_subject" value='{subject}' /></p>
+<p><label for="input_subject"><strong>{subject_label}</strong>:</label> </p>
+<p><input type="text" size="30" id="input_subject" name="input_subject" value='{subject}' /></p>
 <!-- END msg_header -->
 
 <!-- BEGIN text -->
-<p>&nbsp;&nbsp;<label for="body"><strong>Mensagem:</strong></label> </p>
-&nbsp;&nbsp;<textarea id="body" wrap="virtual" rows="8" name="body">{body_value}</textarea>
+<p><label for="body"><strong>Mensagem:</strong></label></p> 
+<p><textarea id="body" wrap="virtual" rows="8" name="body">{body_value}</textarea></p>
 <br />
 
-&nbsp;&nbsp;<input type="submit" name="action" id="reply_send" value="{send_label}" />
+<p><input type="submit" name="action" id="reply_send" value="{send_label}" /></p>
 <!-- END text -->
 
 <!-- BEGIN hidden_area -->
-<p>&nbsp;&nbsp;<input type="hidden" size="30" id="input_to_mail" name="input_to_mail" value='{to_mail}' /></p>
-<p>&nbsp;&nbsp;<input type="hidden" size="30" id="reply_from" name="reply_from" value='{from}' /></p>
-<p>&nbsp;&nbsp;<input type="hidden" size="30" id="reply_msg_number" name="reply_msg_number" value='{msg_number}' /></p>
-<p>&nbsp;&nbsp;<input type="hidden" size="30" id="folder" name="folder" value='{msg_folder}' /></p>
+<p><input type="hidden" size="30" id="input_to_mail" name="input_to_mail" value='{to_mail}' /></p>
+<p><input type="hidden" size="30" id="reply_from" name="reply_from" value='{from}' /></p>
+<p><input type="hidden" size="30" id="reply_msg_number" name="reply_msg_number" value='{msg_number}' /></p>
+<p><input type="hidden" size="30" id="folder" name="folder" value='{msg_folder}' /></p>
 <!-- END hidden_area -->
 
Index: branches/2.2/mobile/templates/default/calendar.tpl
===================================================================
--- branches/2.2/mobile/templates/default/calendar.tpl	(revision 588)
+++ branches/2.2/mobile/templates/default/calendar.tpl	(revision 3454)
@@ -1,39 +1,24 @@
 <!-- BEGIN body -->
+<h1>Agenda</h1>
+<hr /><br />
 {events}
-<br>
-<a href="index.php?menuaction=mobile.ui_mobilecalendar.init_schedule">{lang_schedule} </a>
+<!-- <a href="index.php?menuaction=mobile.ui_mobilecalendar.init_schedule">{lang_schedule} </a> -->
 
 <!-- END body -->
 
 <!-- BEGIN view_event -->
-<font color="#2e2626"><b>{header_date}</b></font><br>
-<table bgcolor="#f7f7f7" style="border:1px solid black" border="0" width="20%">
-	<tr bgcolor="#c4bcbc">
-		<td valign="top" width="10%">&nbsp;<b>{title_field}:</b></td>
-		<td  valign="top" nowrap>{title_data}</td>
-	</tr>
-	<tr bgcolor="#e7dede">
-		<td valign="top" width="10%" nowrap>&nbsp;<b>{location_field}:</b></td>
-		<td  valign="top" nowrap>{location_data}</td>
-	</tr>
-	<tr bgcolor="#c4bcbc">
-		<td valign="top" width="10%" nowrap>&nbsp;<b>{startdate_field}:</b></td>
-		<td  valign="top" nowrap>{startdate_data}</td>
-	</tr>
-	<tr bgcolor="#e7dede">
-		<td valign="top" width="10%" nowrap>&nbsp;<b>{enddate_field}:</b></td>
-		<td  valign="top" nowrap>{enddate_data}</td>
-	</tr>
-	<tr bgcolor="#c4bcbc">
-		<td valign="top" width="10%" nowrap>&nbsp;<b>{description_field}:</b></td>
-		<td  valign="top" >{description_data}</td>
-	</tr>
-	<tr style="display: {display};" >
-		<td align="right" valign="top"  ><a href="{accept_data}">{accept_title}</a></td>
-		<td  align="right" valign="top" ><a href="{reject_data}">{reject_title}</a></td>
-	</tr>
-	</table><br>
+<p>
+<b>{header_date}</b><br />
+<b>{title_field}:</b>&nbsp;{title_data}<br />
+<b>{location_field}:</b>&nbsp;{location_data}<br />
+<b>{startdate_field}:</b>&nbsp;{startdate_data}<br />
+<b>{enddate_field}:</b>&nbsp;{enddate_data}<br />
+<b>{description_field}:</b>&nbsp;{description_data}<br />
+</p>
+<div style="display: {display};" ><a href="{accept_data}">{accept_title}</a><br />
+<a href="{reject_data}">{reject_title}</a></div>
+<br />
 <!-- END view_event -->
 <!-- BEGIN no_event -->
-	<br>Na semana de <b>{start_date}</b> à <b>{end_date}</b> você não possui nenhum compromisso agendado.
+	<br>&nbsp;&nbsp;Na semana de <b>{start_date}</b> à <b>{end_date}</b> você não possui nenhum compromisso agendado.
 <!-- END no_event -->
Index: branches/2.2/mobile/templates/css/mobile.css
===================================================================
--- branches/2.2/mobile/templates/css/mobile.css	(revision 3453)
+++ branches/2.2/mobile/templates/css/mobile.css	(revision 3454)
@@ -81,4 +81,8 @@
 H1{
 	font-size:16px;
+	margin:10 0 10 20;
+}
+p{
+	margin:10 0 10 20;
 }
 