Index: branches/2.2/mobile/templates/default/mobilemail.tpl
===================================================================
--- branches/2.2/mobile/templates/default/mobilemail.tpl	(revision 3462)
+++ branches/2.2/mobile/templates/default/mobilemail.tpl	(revision 3466)
@@ -27,6 +27,6 @@
 
 <!-- BEGIN mail_row -->
-<p style="background-color: {unseen_bkg}">&nbsp;&nbsp;<strong>{from_label}</strong>:  {strong_unseen_begin}<a href="index.php?menuaction=mobile.ui_mobilemail.show_msg&msg_number={msg_number}&msg_folder={msg_folder}">{from}<br>
-&nbsp;&nbsp;&nbsp;&nbsp;{subject} - {date}</a>{strong_unseen_end}</p>
+<p class="{unseen_bkg}"><strong>{from_label}</strong>:  {strong_unseen_begin}<a href="index.php?menuaction=mobile.ui_mobilemail.show_msg&msg_number={msg_number}&msg_folder={msg_folder}">{from}<br>
+&nbsp;&nbsp;&nbsp;{subject} - {date}</a>{strong_unseen_end}</p>
 <!-- END mail_row -->
 
Index: branches/2.2/mobile/templates/css/mobile.css
===================================================================
--- branches/2.2/mobile/templates/css/mobile.css	(revision 3461)
+++ branches/2.2/mobile/templates/css/mobile.css	(revision 3466)
@@ -1,13 +1,4 @@
-.grid_email_class
-{
-	border-bottom:1px solid #cfcfcf;
-}
-
 body
 {
-	/*margin: 0px !important;
-*/
-	/*background-color:#E9E9E9 !important;
-*/
 	font-size: 13px !important;
 	font-family: Verdana, Arial, Helvetica, sans-serif !important;
@@ -15,6 +6,4 @@
 	padding: 0px;
 	margin: 0px;
-	/*padding:0px !important;
-*/
 }
 
@@ -23,6 +12,4 @@
 	border-width:0px !important;
 	border-style:none !important;
-	/*filter:progid:DXImageTransform.Microsoft.AlphaImageLoader;
-*/
 }
 
@@ -63,4 +50,5 @@
 	border: 1px #bbbbbb none !important;
 }
+
 select
 {
@@ -75,9 +63,8 @@
 {
 	font-size: 11px !important;
-	/*text-align:left;*/
-	/*	padding-top:1px;
-	padding-bottom:1px;*/
-}
-h1, h4{
+}
+
+h1, h4
+{
 	font-size:16px;
 	margin:10 0 10 20;
@@ -188,10 +175,4 @@
 #extraIcons
 {
-/*	position:absolute;
-	z-index:13;
-	right:10px;
-	top:113px;
-	visibility:hidden;*/
-/*	background-image:url(../images/alpha-white.png);*/
 	background-color:#eeeeee;
 	border-width:1px;
@@ -249,8 +230,4 @@
 }
 
-/*#divSubContainer
-{
-}
-*/
 #tdSidebox
 {
@@ -266,4 +243,5 @@
 	width: 100%;
 }
+
 #divSideboxContainer
 {
@@ -332,9 +310,5 @@
 	margin-bottom:3px;
 	font-size: 10px;
-/*	font-family: Verdana, Arial, Helvetica, sans-serif;*/
-
-
-}
-
+}
 
 .fmButton
@@ -349,7 +323,4 @@
 {
 	position:relative;
-	/*background-image:url(../images/buttonbackgroundscaled.png);
-	background-repeat: repeat-x;*/
-	/*margin-left:4px;*/
 	margin-bottom:3px;
 	height:27px;
@@ -361,4 +332,5 @@
 	position:relative;
 }
+
 #fmFileWindow
 {
@@ -414,5 +386,7 @@
 	font-size: 10px;
 }
-.loginLabel {
+
+.loginLabel
+{
 	font-family: Verdana, Arial, Helvetica, sans-serif;
 	font-size: 10px;
@@ -420,26 +394,33 @@
 	padding-left: 0px;
 }
-.tableLogin {
-        padding: 0px;
-        /*width: 274px;*/
-}
-.login {
-        text-align:center;
-        background-color: #F7F7F7;
-        border: 1px solid #CCCCCC;
-        margin: 5px 5px 50px;
-        padding: 5px;
-        height: 116px;
-        width: 300px;
-}
-.button {
-        font-family: Verdana, Arial, Helvetica, sans-serif;
-        font-size: 10px;
-        color: 006699;
-        background-color: #D4D0C8;
-        border: 1px solid #666666;
-}
-.msgInicial {
-        font-family: Verdana, Arial, Helvetica, sans-serif;
+
+.tableLogin
+{
+	padding: 0px;
+}
+
+.login
+{
+	text-align:center;
+	background-color: #F7F7F7;
+	border: 1px solid #CCCCCC;
+	margin: 5px 5px 50px;
+	padding: 5px;
+	height: 116px;
+	width: 300px;
+}
+
+.button
+{
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 10px;
+	color: 006699;
+	background-color: #D4D0C8;
+	border: 1px solid #666666;
+}
+
+.msgInicial
+{
+	font-family: Verdana, Arial, Helvetica, sans-serif;
 	font-size: 12px;
 	color: #000066;
@@ -447,2 +428,17 @@
 	padding-top: 1px;
 }
+
+.grid_email_class
+{
+	border-bottom:1px solid #cfcfcf;
+}
+
+.unseen_bkg
+{
+	background-color: #e0ecff;
+}
+
+.seen_bkg
+{
+	background-color: #ffffff;
+}