Index: devel/testlink/calendar/FUN03.2/src/test/java/br/gov/serpro/cte/agenda/Objetos/AdicionarCompromissoEL938/Campo.java
===================================================================
--- devel/testlink/calendar/FUN03.2/src/test/java/br/gov/serpro/cte/agenda/Objetos/AdicionarCompromissoEL938/Campo.java	(revision 3477)
+++ devel/testlink/calendar/FUN03.2/src/test/java/br/gov/serpro/cte/agenda/Objetos/AdicionarCompromissoEL938/Campo.java	(revision 3477)
@@ -0,0 +1,48 @@
+package br.gov.serpro.cte.agenda.Objetos.AdicionarCompromissoEL938;
+
+public enum Campo
+{
+	TIPO("type:cal[type]"),
+	TITULO("type:cal[title]"),
+	//DESCRICAO("type:cal[description]"),
+	CATEGORIA("addSelection:categories[]"),
+	LOCALIZACAO("type:cal[location]"),
+	DT_INICIO("type:start[str]"),
+	HORA_INICIO("type:start_hour"),
+	MINUTO_INICIO("type:start_minute"),
+	DT_FINAL("type:end[str]"),
+	HORA_FINAL("type:end_hour"),
+	MINUTO_FINAL("type:end_minute"),
+	PRIORIDADE("select:cal[priority]"),
+	PARTICIPANTES_EXTERNOS_CLICK("click://a[@id='a_ext_participants']/b"),
+	PARTICIPANTES_EXTERNOS_EMAIL("type:ex_participants"),
+	//PARTICIPACAO_PROPRIO_USUARIO("click:usuarioParticipa"),
+	ALARME_DIAS("select:cal[alarmdays]"),
+	ALARME_HORAS("select:cal[alarmhours]"),
+	ALARME_MINUTOS("select:cal[alarmminutes]"),
+	TIPO_REPETICAO("select:cal[recur_type]"),
+	OPCAO_DT_FINAL_REPETICAO("click:cal[rpt_use_end]"),
+	DT_FINAL_REPETICAO("type:recur_enddate[str]"),
+	REPETICAO_SEMANAL_SEGUNDA("click://input[@name='cal[rpt_day][]' and @value='2']"),
+	REPETICAO_SEMANAL_TERCA("click://input[@name='cal[rpt_day][]' and @value='4']"),
+	REPETICAO_SEMANAL_QUARTA("click://input[@name='cal[rpt_day][]' and @value='8']"),
+	REPETICAO_SEMANAL_QUINTA("click://input[@name='cal[rpt_day][]' and @value='16']"),
+	REPETICAO_SEMANAL_SEXTA("click://input[@name='cal[rpt_day][]' and @value='32']"),
+	REPETICAO_SEMANAL_SABADO("click://input[@name='cal[rpt_day][]' and @value='64']"),
+	REPETICAO_SEMANAL_DOMINGO("click://input[@name='cal[rpt_day][]' and @value='1']"),
+	INTERVALO_REPETICAO("type:cal[recur_interval]"),
+	SALVAR("click://html/body/div[@id='divSubContainer']/table/tbody/tr/td[@id='tdAppbox']/div[@id='divAppbox']/table[@id='tableDivAppbox']/tbody/tr/td/center/form/font/table[@id='editFormTable']/tbody/tr[20]/td[1]/table/tbody/tr/td[1]/div/input[@id='submit_button']");
+	
+	private String value;
+	 
+    private Campo(String value)
+    {
+    	this.value = value;
+    }
+
+    public String getValue()
+    {
+    	return value;
+    }
+	
+}
Index: devel/testlink/calendar/FUN03.2/src/test/java/br/gov/serpro/cte/agenda/Objetos/AdicionarCompromissoEL938/Valor.java
===================================================================
--- devel/testlink/calendar/FUN03.2/src/test/java/br/gov/serpro/cte/agenda/Objetos/AdicionarCompromissoEL938/Valor.java	(revision 3477)
+++ devel/testlink/calendar/FUN03.2/src/test/java/br/gov/serpro/cte/agenda/Objetos/AdicionarCompromissoEL938/Valor.java	(revision 3477)
@@ -0,0 +1,48 @@
+package br.gov.serpro.cte.agenda.Objetos.AdicionarCompromissoEL938;
+
+public enum Valor
+{
+	TIPO("label=Normal"),
+	TITULO("Titulo do Compromisso EL 938"),
+	//DESCRICAO("Descricao do Compromisso"),
+	CATEGORIA("label=regexp:Auto estudo vinculado a projeto\\s<Global\\sAgenda de Eventos>"),
+	LOCALIZACAO("Localizacao do Compromisso"),
+	DT_INICIO("08/11/2010"),
+	HORA_INICIO("09"),
+	MINUTO_INICIO("00"),
+	DT_FINAL("08/11/2010"),
+	HORA_FINAL("09"),
+	MINUTO_FINAL("31"),
+	PRIORIDADE("label=Baixo"),
+	PARTICIPANTES_EXTERNOS_CLICK(""),
+	PARTICIPANTES_EXTERNOS_EMAIL("dinhocorreia@gmail.com"),
+	//PARTICIPACAO_PROPRIO_USUARIO(""),
+	ALARME_DIAS("label=1"),
+	ALARME_HORAS("label=1"),
+	ALARME_MINUTOS("label=1"),
+	TIPO_REPETICAO("label=Diária"),
+	OPCAO_DT_FINAL_REPETICAO(""),
+	DT_FINAL_REPETICAO("09/11/2010"),
+	REPETICAO_SEMANAL_SEGUNDA(""),
+	REPETICAO_SEMANAL_TERCA(""),
+	REPETICAO_SEMANAL_QUARTA(""),
+	REPETICAO_SEMANAL_QUINTA(""),
+	REPETICAO_SEMANAL_SEXTA(""),
+	REPETICAO_SEMANAL_SABADO(""),
+	REPETICAO_SEMANAL_DOMINGO(""),
+	INTERVALO_REPETICAO("1"),
+	SALVAR("");
+	
+	private String value;
+	 
+    private Valor(String value)
+    {
+    	this.value = value;
+    }
+
+    public String getValue()
+    {
+    	return value;
+    }
+	
+}
Index: devel/testlink/calendar/FUN03.2/src/test/java/br/gov/serpro/cte/agenda/casoteste/Test_EL_938_AdicionarCompromisso.java
===================================================================
--- devel/testlink/calendar/FUN03.2/src/test/java/br/gov/serpro/cte/agenda/casoteste/Test_EL_938_AdicionarCompromisso.java	(revision 3477)
+++ devel/testlink/calendar/FUN03.2/src/test/java/br/gov/serpro/cte/agenda/casoteste/Test_EL_938_AdicionarCompromisso.java	(revision 3477)
@@ -0,0 +1,138 @@
+/**
+ * Autor 			: Alexandre Correia - alexandrecorreia@celepar.pr.gov.br
+ * Data 			: 00/00/0000
+ * Caso de Teste	: EL-938:Adicionar compromisso
+ * 
+ * Descrição do Processo de Teste Cadastro no TestLink - http://testlink.expressolivre.org/ 
+ * 
+ * AÇÕES DO PASSO
+ * P01. Usuário aciona opção para criar novo compromisso na agenda;
+ * P02. Sistema apresenta tela para adicionar compromisso;
+ * P03. Sistema apresenta campo para seleção do tipo do compromisso;
+ * P04. Sistema apresenta campo para entrar com um título para o compromisso;
+ * P05. Sistema apresenta campo para seleção da categoria do compromisso;
+ * P06. Sistema apresenta campo para informar a localização do compromisso;
+ * P07. Sistema apresenta campo para seleção da data de início do compromisso;
+ * P08. Sistema apresenta campo para informar hora inicial do compromisso;
+ * P09. Sistema apresenta campo para seleção da data final do compromisso;
+ * P10. Sistema apresenta campo para informar hora final do compromisso;
+ * P11. Sistema apresenta campo para seleção da prioridade do compromisso;
+ * ( PENDENTE )P12. Sistema apresenta campo para adicionar remover participantes do compromisso; ( PENDENTE )
+ * P13. Sistema apresenta opção para avisar participantes externos;
+ * P14. Sistema apresenta opção para participação do próprio usuário;
+ * P15. Sistema apresenta campos para acionar alarme para o compromisso: dias, horas e minutos;
+ * P16. Sistema apresenta campo para selecionar o tipo de repetição do compromisso;
+ * P17. Sistema apresenta campo para informar a data final da repetição;
+ * P18. Sistema apresenta campos para repetição semanal: segunda, terça, quarta, quinta, sexta, sábado, domingo
+ * P19. Sistema apresenta campo para informar o intervalo da repetição do compromisso;
+ */
+
+package br.gov.serpro.cte.agenda.casoteste;
+
+import org.junit.After;
+import org.junit.Before;
+import org.junit.Test;
+
+import br.gov.serpro.cte.agenda.Objetos.AdicionarCompromissoEL938.Campo;
+import br.gov.serpro.cte.agenda.Objetos.AdicionarCompromissoEL938.Valor;
+import br.gov.serpro.cte.connection.DAOSelenium;
+import br.gov.serpro.cte.connection.LoginExpresso;
+
+import com.thoughtworks.selenium.SeleneseTestCase;
+
+public class Test_EL_938_AdicionarCompromisso extends SeleneseTestCase
+{
+	@Before
+	public void setUp() throws Exception
+	{
+		String url			= "https://cte.serpro.gov.br";
+		DAOSelenium conn	= new DAOSelenium( "localhost", 4444, "*pifirefox", url);
+		selenium			= conn.newConnection();
+	}
+	@Test
+	public void testa()
+	{
+		// Logando No Expresso
+		selenium.open("/login.php");
+		selenium.type("user", LoginExpresso.USER_EXPRESSO.getValue());
+		selenium.type("passwd", LoginExpresso.PASSWORD_EXPRESSO.getValue());
+		selenium.click("submitit");
+		selenium.waitForPageToLoad("30000");
+		selenium.click("//html/body/div[@id='toolbar']/table/tbody/tr/td[2]/table/tbody/tr/td[3]/a/img[@id='calendarid']");
+		
+		//Adicionando um Evento
+		selenium.open("/index.php?date=20101108&menuaction=calendar.uicalendar.week");
+		selenium.click("//img[@title='Nova Entrada']");
+		selenium.waitForPageToLoad("30000");
+		
+		for( Campo cmp : Campo.values() )
+		{
+			String cmpName = cmp.name();
+				 
+			if( cmp.getValue().indexOf("addSelection:") > -1 )
+			{	
+				AddSelection( cmp.getValue(), getValor( cmp.name() ) );
+			}
+			
+			if( cmp.getValue().indexOf("click:") > -1 )
+			{
+				Click( cmp.getValue() );
+			}
+			
+			if( cmp.getValue().indexOf("select:") > -1 )
+			{
+				Select( cmp.getValue(), getValor( cmp.name() ) );
+			}
+			
+			if( cmp.getValue().indexOf("type:") > -1 )
+			{
+				Type( cmp.getValue(), getValor( cmp.name() ) );
+			}
+		}
+		
+		selenium.waitForPageToLoad("10000");
+	}
+	
+	public String getValor(String cmpName)
+	{
+		String _return = "";
+		
+		for( Valor vlr : Valor.values() )
+		{
+			 String vlrName = vlr.name();
+			 
+			 if( vlrName.equals( cmpName ) )
+			 {
+				 _return = vlr.getValue();
+			 }
+		}
+		
+		return _return;
+	}
+	
+	public void AddSelection( String locator, String optionLocator )
+	{
+		selenium.addSelection( locator.substring( 13 , locator.length() ), optionLocator );
+	}
+	
+	public void Click( String locator )
+	{
+		selenium.click( locator.substring( 6 , locator.length() ) );
+	}
+
+	public void Select( String selectLocator, String optionLocator )
+	{
+		selenium.select( selectLocator.substring( 7 , selectLocator.length() ), optionLocator );
+	}
+
+	public void Type( String locator, String value )
+	{
+		selenium.type( locator.substring( 5 , locator.length() ), value );
+	}
+	
+	@After
+	public void tearDown() throws Exception
+	{
+		selenium.close();
+	}
+}
Index: devel/testlink/calendar/FUN03.2/src/test/java/br/gov/serpro/cte/connection/LoginExpresso.java
===================================================================
--- devel/testlink/calendar/FUN03.2/src/test/java/br/gov/serpro/cte/connection/LoginExpresso.java	(revision 3431)
+++ devel/testlink/calendar/FUN03.2/src/test/java/br/gov/serpro/cte/connection/LoginExpresso.java	(revision 3477)
@@ -16,10 +16,10 @@
 	 *	Usuario
 	 */
-	USER_EXPRESSO("alexandrecorreia"),
+	USER_EXPRESSO(""),
 	
 	/**
 	 *	Senha 
 	 */
-	PASSWORD_EXPRESSO("senha4321"),
+	PASSWORD_EXPRESSO(""),
 	
 	